STTY(1)

NAME
stty - set terminal options

SYNOPSIS
stty [ option ... ]

DESCRIPTION
stty sets certain I/O options on the current output terminal, and directs its output to the diagnostic output. With no argument, it reports the speed of the terminal and the settings of options which are different from their defaults. With the argument ``all'', all normally-used option settings are reported. With the argument ``everything'', everything stty knows about is printed.

OPTIONS
Options to stty are selected from the following set:

even
    allow even parity input

-even
    disallow even parity input

odd allow odd parity input

-odd
    disallow odd parity input

raw raw mode input (no input processing (erase, kill, interrupt, ...); parity bit passed back)

-raw
    negate raw mode

cooked
    same as `-raw'

cbreak
    make each character available to read(2) as received; no erase and kill processing, but all other processing (interrupt, suspend, ...) is performed

-cbreak
    make characters available to read only when newline is received

-nl allow carriage return for new-line, and output CR-LF for carriage return or new-line

nl  accept only new-line to end lines

echo
    echo back every character typed

-echo
    do not echo characters

lcase
    map upper case to lower case

-lcase
    do not map case

tandem
    enable flow control, so that the system sends out the stop character when its internal queue is in danger of overflowing on input, and sends the start character when it is ready to accept further input

-tandem
    disable flow control

-tabs
    replace tabs by spaces when printing

tabs
    preserve tabs

ek  set erase and kill characters to ^H (control-H) and ^U

For the following commands which take a character argument c, you may also specify c as ``u'' or ``undef'', to set the value to be undefined. A value of ``^x'', a 2 character sequence, is also interpreted as a control character, with ``^?'' representing delete.

erase c
    set erase character to c (default `^?').

kill c
    set kill character to c (default `^U').

intr c
    set interrupt character to c (default `^C').

quit c
    set quit character to c (default `^\').

start c
    set start character to c (default `^Q').

stop c
    set stop character to c (default `^S').

eof c
    set end of file character to c (default `^D').

brk c
    set break character to c (default undefined.) This character is an extra wakeup causing character.

cr0 cr1 cr2 cr3
    select style of delay for carriage return (see ioctl(2))

nl0 nl1 nl2 nl3
    select style of delay for linefeed

tab0 tab1 tab2 tab3
    select style of delay for tab

ff0 ff1
    select style of delay for form feed

bs0 bs1
    select style of delay for backspace

tty33
    set all modes suitable for the Teletype Corporation Model 33 terminal.

tty37
    set all modes suitable for the Teletype Corporation Model 37 terminal.

vt05
    set all modes suitable for Digital Equipment Corp. VT05 terminal

dec set all modes suitable for Digital Equipment Corp. operating systems users; (erase, kill, and interrupt characters to ^?, ^U, and ^C, decctlq and ``newcrt''.)

tn300
    set all modes suitable for a General Electric TermiNet 300

ti700
    set all modes suitable for Texas Instruments 700 series terminal

tek set all modes suitable for Tektronix 4014 terminal

0   hang up phone line immediately

50 75 110 134 150 200 300 600 1200 1800 2400 4800 9600 19200 exta extb
    Set terminal baud rate to the number given, if possible. (These are the speeds supported by the DH-11 interface).

The driver which supports the job control processing of csh(1) is fully described in tty(4). The options in the list below can only be selected by using the new option to stty(1).

new Use new driver (switching flushes typeahead).

crt Set options for a CRT (crtbs, ctlecho and, if >= 1200 baud, crterase and crtkill.)

crtbs
    Echo backspaces on erase characters.

prterase
    For printing terminal echo erased characters backwards within ``\'' and ``/''.

crterase
    Wipe out erased characters with ``backspace-space-backspace.''

-crterase
    Leave erased characters visible; just backspace.

crtkill
    Wipe out input on like kill ala crterase.

-crtkill
    Just echo line kill character and a newline on line kill.

ctlecho
    Echo control characters as ``^x'' (and delete as ``^?''.) Print two backspaces following the EOT character (default `^D').

-ctlecho
    Control characters echo as themselves; in cooked mode EOT (default `^D') is not echoed.

decctlq
    After output is suspended (normally by ^S), only a start character (normally ^Q) will restart it. This is compatible with DEC's vendor supplied systems.

-decctlq
    After output is suspended, any character typed will restart it; the start character will restart output without providing any input. (This is the default.)

tostop
    Background jobs stop if they attempt terminal output.

-tostop
    Output from background jobs to the terminal is allowed.

tilde
    Convert ``~'' to ```'' on output (for Hazeltine terminals).

-tilde
    Leave poor ``~'' alone.

flusho
    Output is being discarded usually because user hit `^O' (internal state bit).

-flusho
    Output is not being discarded.

pendin
    Input is pending after a switch from cbreak to cooked and will be re-input when a read becomes pending or more input arrives (internal state bit).

-pendin
    Input is not pending.

intrup
    Send a signal (SIGTINT) to the terminal control process group whenever an input record (line in cooked mode, character in cbreak or raw mode) is available for reading.

-intrup
    Don't send input available interrupts.

mdmbuf
    Start/stop output on carrier transitions (not implemented).

-mdmbuf
    Return error if write attempted after carrier drops.

litout
    Send output characters without any processing.

-litout
    Do normal output processing, inserting delays, etc.

nohang
    Don't send hangup signal if carrier drops.

-nohang
    Send hangup signal to control process group when carrier drops.

etxack
    Diablo style etx/ack handshaking (not implemented).

The following special characters are applicable only to the new teletype driver and are not normally changed.

susp c
    set suspend process character to c (default `^Z').

dsusp c
    set delayed suspend process character to c (default `^Y').

rprnt c
    set reprint line character to c (default `^R').

flush c
    set flush output character to c (default `^O').

werase c
    set word erase character to c (default `^W').

lnext c
    set literal next character to c (default `^V').

SEE ALSO
tset(1), tty(4)